=== debian/changelog ===
libnss-cache (0.10-2) unstable; urgency=low

  *  Remove post{inst,rm}, as dh_makeshlibs already does the ldconfig for us.

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 20 Aug 2011 09:04:28 +1000

libnss-cache (0.10-1) unstable; urgency=low

  * Initial release. (Closes: #609626)

 -- Jamie Wilkinson <jaq@debian.org>  Fri, 22 Jul 2011 12:17:00 +1000
