## libnss-cache 0.10.2

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 TESTBIN=.testbin
 TESTDATA=.testdata
 
-SOURCES = Makefile gen_getent.c lookup.c nss_cache.c nss_cache.h nss_test.h COPYING
+SOURCES = Makefile gen_getent.c lookup.c nss_cache.c nss_cache.h nss_test.h COPYING version libnss-cache.spec
 VERSION = $(shell cat version)
 
 default: build_amd64
@@ -27,39 +27,40 @@
 time_lookups: lookup_data lookup.c nss_cache.c
 	$(CC) $(CFLAGS) -o $(TESTBIN)/lookup lookup.c nss_cache.c
 	@echo Linear username lookups
-	rm -f $(TESTDATA)/passwd.cache.byname
+	rm -f $(TESTDATA)/passwd.cache.ixname
 	time -f %E $(TESTBIN)/lookup -c getpwnam -f $(TESTDATA)/rand_pwnames
 	@echo Binary username lookups
-	sort -t: -k1,1 $(TESTDATA)/passwd.cache > $(TESTDATA)/passwd.cache.byname
+	../vendetta/files/gen_cache.py $(TESTDATA)/passwd.cache 1 $(TESTDATA)/passwd.cache.ixname
 	time -f %E $(TESTBIN)/lookup -c getpwnam -f $(TESTDATA)/rand_pwnames
 	@echo Linear UID lookups
-	rm -f $(TESTDATA)/passwd.cache.byuid
+	rm -f $(TESTDATA)/passwd.cache.ixuid
 	time -f %E $(TESTBIN)/lookup -c getpwuid -f $(TESTDATA)/rand_pwuids
 	@echo Binary UID lookups
-	sort -t: -k3,3 -n $(TESTDATA)/passwd.cache > $(TESTDATA)/passwd.cache.byuid
+	../vendetta/files/gen_cache.py $(TESTDATA)/passwd.cache 3 $(TESTDATA)/passwd.cache.ixuid
 	time -f %E $(TESTBIN)/lookup -c getpwuid -f $(TESTDATA)/rand_pwuids
 	@echo Linear groupname lookups
-	rm -f $(TESTDATA)/group.cache.byname
+	rm -f $(TESTDATA)/group.cache.ixname
 	time -f %E $(TESTBIN)/lookup -c getgrnam -f $(TESTDATA)/rand_grnames
 	@echo Binary groupname lookups
-	sort -t: -k1,1 $(TESTDATA)/group.cache > $(TESTDATA)/group.cache.byname
+	sort -t: -k1,1 $(TESTDATA)/group.cache > $(TESTDATA)/group.cache.ixname
+	../vendetta/files/gen_cache.py $(TESTDATA)/group.cache 1 $(TESTDATA)/group.cache.ixname
 	time -f %E $(TESTBIN)/lookup -c getgrnam -f $(TESTDATA)/rand_grnames
 	@echo Linear GID lookups
-	rm -f $(TESTDATA)/group.cache.bygid
+	rm -f $(TESTDATA)/group.cache.ixgid
 	time -f %E $(TESTBIN)/lookup -c getgrgid -f $(TESTDATA)/rand_grgids
 	@echo Binary GID lookups
-	sort -t: -k3,3 -n $(TESTDATA)/group.cache > $(TESTDATA)/group.cache.bygid
+	../vendetta/files/gen_cache.py $(TESTDATA)/group.cache 3 $(TESTDATA)/group.cache.ixgid
 	time -f %E $(TESTBIN)/lookup -c getgrgid -f $(TESTDATA)/rand_grgids
 	@echo Linear shadow lookups
-	rm -f $(TESTDATA)/shadow.cache.byname
+	rm -f $(TESTDATA)/shadow.cache.ixname
 	time -f %E $(TESTBIN)/lookup -c getspnam -f $(TESTDATA)/rand_spnames
 	@echo Binary shadow lookups
-	sort -t: -k1,1 $(TESTDATA)/shadow.cache > $(TESTDATA)/shadow.cache.byname
+	../vendetta/files/gen_cache.py $(TESTDATA)/shadow.cache 1 $(TESTDATA)/shadow.cache.ixname
 	time -f %E $(TESTBIN)/lookup -c getspnam -f $(TESTDATA)/rand_spnames
 
 test_getent: getent_data gen_getent.c nss_cache.c
 	$(CC) -o $(TESTBIN)/gen_getent gen_getent.c nss_cache.c
-	./$(TESTBIN)/gen_getent
+	sudo ./$(TESTBIN)/gen_getent
 	diff $(TESTDATA)/passwd.cache $(TESTDATA)/passwd.cache.out
 	diff $(TESTDATA)/group.cache $(TESTDATA)/group.cache.out
 	diff $(TESTDATA)/shadow.cache $(TESTDATA)/shadow.cache.out
@@ -79,7 +80,7 @@
 getent_data: testdirs
 	getent passwd > $(TESTDATA)/passwd.cache
 	getent group > $(TESTDATA)/group.cache
-	getent shadow > $(TESTDATA)/shadow.cache
+	sudo getent shadow > $(TESTDATA)/shadow.cache
 
 testdirs:
 	mkdir -p $(TESTDATA)
