=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	$(MAKE) build_$(ARCH)

override_dh_install:
	$(MAKE) install_$(ARCH) DESTDIR=debian/libnss-cache/

override_dh_auto_test:


# Set our architecture here so we can build the 64bit libs
ARCH="`dpkg-architecture  -qDEB_HOST_ARCH`"
