=== debian/changelog ===
libnss-cache (0.12-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1323161)

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 29 May 2014 08:27:53 +0100

libnss-cache (0.12-1) unstable; urgency=medium

  * New upstream release.  (Closes: #745258; thanks Arthur Marble). 
  * Ignore tarballs in debian/source/options. 

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 22 May 2014 18:24:55 +1000

libnss-cache (0.11-2) unstable; urgency=low

  * Fix FTBFS with clang
    - Fixed the potential usage of an uninitialized variable error in
      nss_cache.c

 -- Arthur Marble <arthur@info9.net>  Sat, 19 Apr 2014 16:02:56 -0500

libnss-cache (0.11-1) unstable; urgency=medium

  * New upstream release.
  * Change to arch: any, now builds on all architectures. 
  * Update standards-version. 
  * Depend on new debhelper. 

 -- Jamie Wilkinson <jaq@debian.org>  Sun, 23 Mar 2014 16:55:37 +1100
