=== debian/control ===
Source: libnss-cache
Section: admin
Priority: optional
Maintainer: Jamie Wilkinson <jaq@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Homepage: http://code.google.com/p/nsscache

Package: libnss-cache
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: nsscache
Description: NSS module for using nsscache-generated files
 This package provides a Name Service Switch module that uses .cache
 files as a name service. This means providing user account
 information, group ids, netgroups, and automounts.
