=== debian/watch ===
version=3
http://code.google.com/p/nsscache/downloads/list .*/libnss-cache-(.*)\.tar\.gz debian
