## libnss-cache 0.14

=== debian/changelog ===
libnss-cache (0.14-1) unstable; urgency=medium

  * New upstream release. 

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 20 May 2015 09:00:53 +1000

libnss-cache (0.13-1) unstable; urgency=medium

  * Update control file with VCS URLs. 
  * New upstream version.
  * Update watch file to match new github upstream.
  * Bump standards version.

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 22 Oct 2014 10:41:44 +1100
