## libnss-cache 0.16

=== debian/changelog ===
libnss-cache (0.16-3) unstable; urgency=medium

  * Add missing Multi-Arch header to debian/control. 

 -- Jamie Wilkinson <jaq@debian.org>  Mon, 07 Nov 2016 15:18:25 +1100

libnss-cache (0.16-2) unstable; urgency=medium

  * Bump standards version. 

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 01 Nov 2016 16:04:27 +1100

libnss-cache (0.16-1) unstable; urgency=medium

  * New upstream release.

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 01 Nov 2016 15:39:14 +1100

libnss-cache (0.15-2) unstable; urgency=medium

  * Fix nss.h include for BSD.

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 30 Dec 2015 17:54:57 +1100

libnss-cache (0.15-1) unstable; urgency=medium

  * New upstream release.
  * Change obsolete homepage URL.

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 30 Dec 2015 16:20:07 +1100
