=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Jamie Wilkinson <jaq@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
-Homepage: http://code.google.com/p/nsscache
+Standards-Version: 3.9.8
+Homepage: https://github.com/google/libnss-cache
 Vcs-Browser: https://github.com/google/libnss-cache/tree/debian
 Vcs-Git: https://github.com/google/libnss-cache -b debian
 
 Package: libnss-cache
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: nsscache
 Description: NSS module for using nsscache-generated files
