=== debian/rules ===
--- 
+++ 
@@ -7,13 +7,18 @@
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
 # Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
+#export DH_VERBOSE=1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+include /usr/share/dpkg/default.mk
+
+DESTDIR=$(CURDIR)/debian/libnss-cache
+LIBDIR=$(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)
 
 %:
 	dh $@
 
+override_dh_auto_install:
+	mkdir -p $(LIBDIR)
+	dh_auto_install -- LIBDIR=$(LIBDIR)
+
 override_dh_auto_test:
