=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DPKG_EXPORT_BUILD_FLAGS=1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/default.mk

DESTDIR=$(CURDIR)/debian/libnss-cache
LIBDIR=$(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_install:
	mkdir -p $(LIBDIR)
	dh_auto_install -- LIBDIR=$(LIBDIR)
