## libnss-cache 0.18

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 LIBNSSCACHE = nss_cache.o compat/getpwent_r.o compat/getgrent_r.o
 
 SOURCES = Makefile gen_getent.c lookup.c nss_cache.c nss_cache.h nss_test.h COPYING version libnss-cache.spec
-VERSION = $(shell cat version)
+VERSION = $(shell git describe --tags --always | sed -E 's@.*/([^-]*).*@\1@')
 
 all: $(LIBRARY)
 
@@ -113,23 +113,3 @@
 	rm -rf libnss-cache-$(VERSION)
 
 .PHONY: all dist clean install distclean
-
-
-###
-## CircleCI development targets
-#
-
-.PHONY: circleci-validate
-circleci-validate: .circleci/config.yml
-	circleci config validate
-
-# Override this on the make command to say which job to run
-CIRCLEJOB ?= build
-.PHONY: circleci-execute
-.INTERMEDIATE: tmpconfig.yml
-circleci-execute: .circleci/config.yml circleci-validate
-ifeq ($(CIRCLECI),true)
-	$(error "Don't run this target from within CircleCI!")
-endif
-	circleci config process $< > tmpconfig.yml
-	circleci local execute -c tmpconfig.yml --job $(CIRCLEJOB)
