=== debian/changelog ===
libnss-cache (0.18-2) unstable; urgency=medium

  * Set the build locale as C.UTF-8 to make the build reproducible.
  * Specify Rules-Requires-Root: no.
  * Bump debhelper-compat to 13.
  * Reformat copyright as dep5 machine readable.

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 23 Oct 2021 17:31:32 +1100

libnss-cache (0.18-1) unstable; urgency=medium

  * New upstream release.
  * Remove local source options as unapply-patches is the default.
  * Update standards version to 4.5.1.
  * Update watch format version to 4.

 -- Jamie Wilkinson <jaq@debian.org>  Fri, 12 Feb 2021 16:42:04 +1100

libnss-cache (0.17-2) unstable; urgency=medium

  * Moved Debian packaging to salsa.debian.org; updated control.

 -- Jamie Wilkinson <jaq@debian.org>  Mon, 08 Feb 2021 12:42:19 +1100

libnss-cache (0.17-1) unstable; urgency=medium

  * New upstram release.
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Use canonical URL in Vcs-Git.
  * Update standards-version to 4.4.0.
  * Add build hardening flags.
  * Run the test suite now one exists.

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 14 Jan 2020 16:08:39 +1100
