=== debian/control ===
--- 
+++ 
@@ -2,11 +2,14 @@
 Section: admin
 Priority: optional
 Maintainer: Jamie Wilkinson <jaq@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 13),
+ dpkg-dev (>= 1.16.1.1~),
+ time
+Standards-Version: 4.5.1
 Homepage: https://github.com/google/libnss-cache
-Vcs-Browser: https://github.com/google/libnss-cache/tree/debian
-Vcs-Git: https://github.com/google/libnss-cache -b debian
+Vcs-Browser: https://salsa.debian.org/debian/libnss-cache
+Vcs-Git: https://salsa.debian.org/debian/libnss-cache.git
+Rules-Requires-Root: no
 
 Package: libnss-cache
 Architecture: any
