=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,9 @@
 DESTDIR=$(CURDIR)/debian/libnss-cache
 LIBDIR=$(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)
 
+# Export locale for build system to run tests as
+export LC_ALL=C.UTF-8
+
 %:
 	dh $@
