=== debian/changelog ===
libnss-cache (0.21-1) unstable; urgency=medium

  [ Jamie Wilkinson ]
  * Fix the license in debian/copyright.
  * lint: Override two findings for shared libraries.
  * Make sure the test code is compiled with correct coverage flags.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Jamie Wilkinson <jaq@debian.org>  Fri, 18 Aug 2023 14:37:23 +1000
