=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Jamie Wilkinson <jaq@debian.org>
 Build-Depends: debhelper-compat (= 13),
- dpkg-dev (>= 1.16.1.1~),
  time
 Standards-Version: 4.5.1
 Homepage: https://github.com/google/libnss-cache
