=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libnss-cache-$1\.tar\.gz/ \
  https://github.com/google/libnss-cache/tags .*/version\/(\d\S*)\.tar\.gz
