=== debian/changelog ===
libnss-cache (0.22-1) unstable; urgency=medium

  * New upstream release.
  * Fix lintian override.

 -- Brendan O'Dea <bod@debian.org>  Thu, 05 Dec 2024 15:10:44 +1100
