=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Jamie Wilkinson <jaq@debian.org>
+Uploaders: Brendan O'Dea <bod@debian.org>
 Build-Depends: debhelper-compat (= 13),
  time
 Standards-Version: 4.5.1
